*,
*:before,
*:after { box-sizing: border-box; }

body, html {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  color: #2e2e2e;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
  padding: 0;
}

h1, h2, h3, h4, h5, h6 { margin: 1.5rem 0 .5rem 0; }

p + p { margin-top: 1rem; }

.container {
  max-width: 990px;
  padding: 2rem 1rem;
  margin: 0 auto;

  *:first-child { margin-top: 0; }

  *:last-child { margin-bottom: 0; }
}

.show-md,
.show-lg,
.show-xl,
.show-xxl { display: none !important; }

@media (min-width: 768px) and (max-width: 991px) {
  .hide-md { display: none !important; }
  .show-md { display: inline-block !important; }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .hide-md,
  .hide-lg { display: none !important; }
  .show-lg { display: inline-block !important; }
}

@media (min-width: 1200px) and (max-width: 1535px) {
  .hide-md,
  .hide-lg,
  .hide-xl { display: none !important; }
  .show-xl { display: inline-block !important; }
}

@media (min-width: 1536px) {
  .hide-md,
  .hide-lg,
  .hide-xl,
  .hide-xxl { display: none !important; }
  .show-xxl { display: inline-block !important; }
}

.breakpoint {
  display: inline-block;
  position: fixed;
  bottom: 0;
  right: 0;
  padding: 1rem;
  background: #919191;
  color: #fff;

  @media (min-width: 768px) { background: #12753a; }
  @media (min-width: 992px) { background: #17599c; }
  @media (min-width: 1200px) { background: #c26700; }
  @media (min-width: 1536px) { background: #a62d19; }
}

.md-doc,
.md-compact,
.ui { display: none; }

#mdDocRadio:checked ~ .md-doc,
#mdCompactRadio:checked ~ .md-compact,
#uiRadio:checked ~ .ui { display: block; }

.typescale-container { margin-top: 2rem; }

.md-doc {
  h1, h2 {
    margin-bottom: 1rem;
    border-bottom: .0625rem solid #DFDFDF;
    padding-bottom: 1rem;
  }

  p.small { font-size: .875rem; }
}

.md-doc h1,
.ui .h-display {
  font-size: 1.728rem;
  line-height: 1.157323689;
}

.ui {
  .h-display,
  h1 { margin-bottom: 1rem; }
}

.md-doc h2,
.ui h1 {
  font-size: 1.44rem;
  line-height: 1.215277778;
}

.md-doc p,
.ui p.large {
  font-size: 1rem;
  line-height: 1.5;
}

.md-doc p.small,
.md-compact p,
.ui p {
  font-size: .875rem;
  line-height: 1.428571429;
}

.md-compact,
.ui {
  p.small,
  span.small {
    font-size: .75rem;
    line-height: 1.333333333;
  }
}

.ui span {
  font-size: .875rem;
  line-height: 1.142857143;
  margin-top: 1rem;
  display: block;
}

.md-doc h3,
.md-compact h1,
.ui h2 {
  font-size: 1.2rem;
  line-height: 1.25;
}

.md-doc h4,
.md-compact h2,
.ui h3 {
  font-size: 1rem;
  line-height: 1.25;
}

.md-doc h5,
.md-doc h6,
.md-compact h3,
.md-compact h4,
.md-compact h5,
.md-compact h6,
.ui h4,
.ui h5,
.ui h6 {
  font-size: .875rem;
  line-height: 1.428571429;
}

.md-doc h6,
.md-compact h4,
.md-compact h5,
.md-compact h6,
.ui h5,
.ui h6 {
  color: #707070;
}

@media (min-width: 768px) {
  .md-doc h1,
  .ui .h-display {
    font-size: 1.953rem;
    line-height: 1.152;
  }

  .md-doc h2,
  .ui h1 {
    font-size: 1.563rem;
    line-height: 1.12;
  }

  .md-doc h3,
  .md-compact h1,
  .ui h2 {
    font-size: 1.25rem;
    line-height: 1.2;
  }
}

@media (min-width: 992px) {
  .md-doc h1,
  .ui .h-display {
    font-size: 2.369rem;
    line-height: 1.160949868;
  }

  .md-doc h2,
  .ui h1 {
    font-size: 1.777rem;
    line-height: 1.125571579;
  }

  .md-doc h3,
  .md-compact h1,
  .ui h2 {
    font-size: 1.333rem;
    line-height: 1.125175809;
  }
}

@media (min-width: 1200px) {
  .md-doc h1,
  .ui .h-display {
    font-size: 2.827rem;
    line-height: 1.149679416;
  }

  .md-doc h2,
  .ui h1 {
    font-size: 1.999rem;
    line-height: 1.125351672;
  }

  .md-doc h3,
  .md-compact h1,
  .ui h2 {
    font-size: 1.414rem;
    line-height: 1.237842617;
  }
}

@media (min-width: 1536px) {
  .md-doc h1,
  .ui .h-display {
    font-size: 3.157rem;
    line-height: 1.108471892;
  }

  .md-doc h2,
  .ui h1 {
    font-size: 2.369rem;
    line-height: 1.160949868;
  }

  .md-doc p {
    font-size: 1.333rem;
    line-height: 1.500234412;
  }

  .md-doc p.small,
  .md-compact p {
    font-size: 1rem;
    line-height: 1.5;
  }

  .md-compact p.small { font-size: .875rem; }

  .md-doc h3,
  .md-compact h1 {
    font-size: 1.777rem;
    line-height: 1.125571579;
  }

  .md-doc h4,
  .md-compact h2 {
    font-size: 1.333rem;
    line-height: 1.125175809;
  }

  .md-doc h5,
  .md-doc h6,
  .md-compact h3,
  .md-compact h4,
  .md-compact h5,
  .md-compact h6 {
    font-size: 1rem;
    line-height: 1.25;
  }
}